| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLSLProgram Class Reference

C++ encapsulation of GLSL program object. More...

`#include <OgreGLSLProgram.h>`

Inheritance diagram for Ogre::GLSLProgram:
[legend]

## Public Member Functions
| GLSLProgram (GLSLShader *vertexProgram, GLSLShader *hullProgram, GLSLShader *domainProgram, GLSLShader *geometryProgram, GLSLShader *fragmentProgram, GLSLShader *computeProgram)
| Constructor should only be used by GLSLMonolithicProgramManager and GLSLSeparableProgramManager. More...
virtual | ~GLSLProgram (void)
void | bindFixedAttributes (GLuint program)
GLSLShader * | getComputeShader () const
GLSLShader * | getDomainShader () const
GLSLShader * | getFragmentShader () const
GLSLShader * | getGeometryShader () const
GLSLShader * | getHullShader () const
GLSLShader * | getVertexShader () const
void | setTransformFeedbackVaryings (const std::vector< String > &nameStrings)

## Detailed Description

C++ encapsulation of GLSL program object.

## Constructor & Destructor Documentation

## ◆ GLSLProgram()

Ogre::GLSLProgram::GLSLProgram | ( | GLSLShader * | vertexProgram,
|  | GLSLShader * | hullProgram,
|  | GLSLShader * | domainProgram,
|  | GLSLShader * | geometryProgram,
|  | GLSLShader * | fragmentProgram,
|  | GLSLShader * | computeProgram
| ) |  |

Constructor should only be used by GLSLMonolithicProgramManager and GLSLSeparableProgramManager.

## ◆ ~GLSLProgram()

virtual Ogre::GLSLProgram::~GLSLProgram | ( | void |  | ) |
| virtual

## Member Function Documentation

## ◆ bindFixedAttributes()

void Ogre::GLSLProgram::bindFixedAttributes | ( | GLuint | program | ) |

## ◆ getVertexShader()

GLSLShader* Ogre::GLSLProgram::getVertexShader | ( |  | ) | const
| inline

## ◆ getHullShader()

GLSLShader* Ogre::GLSLProgram::getHullShader | ( |  | ) | const
| inline

## ◆ getDomainShader()

GLSLShader* Ogre::GLSLProgram::getDomainShader | ( |  | ) | const
| inline

## ◆ getGeometryShader()

GLSLShader* Ogre::GLSLProgram::getGeometryShader | ( |  | ) | const
| inline

## ◆ getFragmentShader()

GLSLShader* Ogre::GLSLProgram::getFragmentShader | ( |  | ) | const
| inline

## ◆ getComputeShader()

GLSLShader* Ogre::GLSLProgram::getComputeShader | ( |  | ) | const
| inline

## ◆ setTransformFeedbackVaryings()

void Ogre::GLSLProgram::setTransformFeedbackVaryings | ( | const std::vector< String > & | nameStrings | ) |

The documentation for this class was generated from the following file:

- Plus/include/GLSL/OgreGLSLProgram.h